<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iPcGravity Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iPcGravity Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iPcGravity" --><!-- doxytag: inherits="iBase" -->
<p>Gravity handling property class.  
 <a href="structiPcGravity.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="gravity_8h_source.html">propclass/gravity.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iPcGravity:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiPcGravity.png" usemap="#iPcGravity_map" alt=""/>
  <map id="iPcGravity_map" name="iPcGravity_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,71,24"/>
</map>
 </div></div>

<p><a href="structiPcGravity-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcGravity.html#a5f64dab083f3ca2465f64aa370c2ff08">ApplyForce</a> (const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;force, float time)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Apply a non-permanent force.  <a href="#a5f64dab083f3ca2465f64aa370c2ff08"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcGravity.html#aeaf5997493d26ebf63c30e8e7d8cac2c">ApplyPermanentForce</a> (const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;force)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Apply an permanent force.  <a href="#aeaf5997493d26ebf63c30e8e7d8cac2c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcGravity.html#a3a731dee91b14abd048a5c52a37ba381">ClearForces</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear all non-permanent forces.  <a href="#a3a731dee91b14abd048a5c52a37ba381"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcGravity.html#a8389b079c598733912e6e3211ef8dfac">ClearPermanentForces</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear all permanent forces.  <a href="#a8389b079c598733912e6e3211ef8dfac"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcGravity.html#ab033fe8fcf1eeb194beb1ebc87090af9">CreateGravityCollider</a> (<a class="el" href="structiPcMesh.html">iPcMesh</a> *mesh)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a gravity collider from the given mesh.  <a href="#ab033fe8fcf1eeb194beb1ebc87090af9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcGravity.html#ae93b777b680d54f8fdcfe45ef12d855f">CreateGravityCollider</a> (const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;dim, const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;offs)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a gravity collider with the specified dimensions.  <a href="#ae93b777b680d54f8fdcfe45ef12d855f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiCollider.html">iCollider</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcGravity.html#a71935abdc0149fb07f893d78b349f150">GetGravityCollider</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the gravity collider.  <a href="#a71935abdc0149fb07f893d78b349f150"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiPcMovable.html">iPcMovable</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcGravity.html#af873104570c91c239e476b1faeef0b72">GetMovable</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the current movable.  <a href="#af873104570c91c239e476b1faeef0b72"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiPcSolid.html">iPcSolid</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcGravity.html#af26827a54c25d5c4807ac3e2e5fd614b">GetSolid</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the current solid.  <a href="#af26827a54c25d5c4807ac3e2e5fd614b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcGravity.html#a31dae2fddc1156aa37c16eaa9f7a1357">GetWeight</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the weight of this object.  <a href="#a31dae2fddc1156aa37c16eaa9f7a1357"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcGravity.html#a7003be52c06218499a9ba974ba1fde9c">IsActive</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Check activation status.  <a href="#a7003be52c06218499a9ba974ba1fde9c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcGravity.html#ae796d9c9edb8bc588dce392eb61892e6">IsResting</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return true if object is resting.  <a href="#ae796d9c9edb8bc588dce392eb61892e6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcGravity.html#ab2b8869754da9122d3bb00460bd6b63a">ResetSpeed</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Reset speed (but leave forces alone).  <a href="#ab2b8869754da9122d3bb00460bd6b63a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcGravity.html#a30cc9af0cd32499f2835f7c2a0dab0a7">SetActive</a> (bool activate)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Activate/deactivate physics handling for this object.  <a href="#a30cc9af0cd32499f2835f7c2a0dab0a7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcGravity.html#a7e236be28d3bf7ff627c82aa031ac5a9">SetMovable</a> (<a class="el" href="structiPcMovable.html">iPcMovable</a> *movable)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the movable on which we will operate.  <a href="#a7e236be28d3bf7ff627c82aa031ac5a9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcGravity.html#a04a4cd61dcb780c0256f98fe142aa94e">SetSolid</a> (<a class="el" href="structiPcSolid.html">iPcSolid</a> *solid)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the solid representation which we will additionally use for collision detection.  <a href="#a04a4cd61dcb780c0256f98fe142aa94e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcGravity.html#a36ee790700f1344455bffdd8748264c4">SetWeight</a> (float w)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the weight of this object.  <a href="#a36ee790700f1344455bffdd8748264c4"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Gravity handling property class. </p>
<p>This property class supports the following actions (add prefix 'cel.move.gravity.action.' if you want to access this action through a message):</p>
<ul>
<li>ApplyPermanentForce: parameters 'force' (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a>).</li>
</ul>
<p>This property class supports the following properties:</p>
<ul>
<li>weight (float, read/write): the weight of the object. </li>
</ul>

<p>Definition at line <a class="el" href="gravity_8h_source.html#l00042">42</a> of file <a class="el" href="gravity_8h_source.html">gravity.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a5f64dab083f3ca2465f64aa370c2ff08"></a><!-- doxytag: member="iPcGravity::ApplyForce" ref="a5f64dab083f3ca2465f64aa370c2ff08" args="(const csVector3 &amp;force, float time)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcGravity.html#a5f64dab083f3ca2465f64aa370c2ff08">iPcGravity::ApplyForce</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td>
          <td class="paramname"><em>force</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>time</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Apply a non-permanent force. </p>

</div>
</div>
<a class="anchor" id="aeaf5997493d26ebf63c30e8e7d8cac2c"></a><!-- doxytag: member="iPcGravity::ApplyPermanentForce" ref="aeaf5997493d26ebf63c30e8e7d8cac2c" args="(const csVector3 &amp;force)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcGravity.html#aeaf5997493d26ebf63c30e8e7d8cac2c">iPcGravity::ApplyPermanentForce</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td>
          <td class="paramname"><em>force</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Apply an permanent force. </p>

</div>
</div>
<a class="anchor" id="a3a731dee91b14abd048a5c52a37ba381"></a><!-- doxytag: member="iPcGravity::ClearForces" ref="a3a731dee91b14abd048a5c52a37ba381" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcGravity.html#a3a731dee91b14abd048a5c52a37ba381">iPcGravity::ClearForces</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Clear all non-permanent forces. </p>

</div>
</div>
<a class="anchor" id="a8389b079c598733912e6e3211ef8dfac"></a><!-- doxytag: member="iPcGravity::ClearPermanentForces" ref="a8389b079c598733912e6e3211ef8dfac" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcGravity.html#a8389b079c598733912e6e3211ef8dfac">iPcGravity::ClearPermanentForces</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Clear all permanent forces. </p>

</div>
</div>
<a class="anchor" id="ab033fe8fcf1eeb194beb1ebc87090af9"></a><!-- doxytag: member="iPcGravity::CreateGravityCollider" ref="ab033fe8fcf1eeb194beb1ebc87090af9" args="(iPcMesh *mesh)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcGravity.html#ab033fe8fcf1eeb194beb1ebc87090af9">iPcGravity::CreateGravityCollider</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiPcMesh.html">iPcMesh</a> *&#160;</td>
          <td class="paramname"><em>mesh</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a gravity collider from the given mesh. </p>
<p>A gravity collider is a small box at the bottom of the mesh. </p>

</div>
</div>
<a class="anchor" id="ae93b777b680d54f8fdcfe45ef12d855f"></a><!-- doxytag: member="iPcGravity::CreateGravityCollider" ref="ae93b777b680d54f8fdcfe45ef12d855f" args="(const csVector3 &amp;dim, const csVector3 &amp;offs)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcGravity.html#ab033fe8fcf1eeb194beb1ebc87090af9">iPcGravity::CreateGravityCollider</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td>
          <td class="paramname"><em>dim</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td>
          <td class="paramname"><em>offs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a gravity collider with the specified dimensions. </p>

</div>
</div>
<a class="anchor" id="a71935abdc0149fb07f893d78b349f150"></a><!-- doxytag: member="iPcGravity::GetGravityCollider" ref="a71935abdc0149fb07f893d78b349f150" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiCollider.html">iCollider</a>* <a class="el" href="structiPcGravity.html#a71935abdc0149fb07f893d78b349f150">iPcGravity::GetGravityCollider</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the gravity collider. </p>
<p>If this returns 0 we have no gravity collider. </p>

</div>
</div>
<a class="anchor" id="af873104570c91c239e476b1faeef0b72"></a><!-- doxytag: member="iPcGravity::GetMovable" ref="af873104570c91c239e476b1faeef0b72" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiPcMovable.html">iPcMovable</a>* <a class="el" href="structiPcGravity.html#af873104570c91c239e476b1faeef0b72">iPcGravity::GetMovable</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the current movable. </p>

</div>
</div>
<a class="anchor" id="af26827a54c25d5c4807ac3e2e5fd614b"></a><!-- doxytag: member="iPcGravity::GetSolid" ref="af26827a54c25d5c4807ac3e2e5fd614b" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiPcSolid.html">iPcSolid</a>* <a class="el" href="structiPcGravity.html#af26827a54c25d5c4807ac3e2e5fd614b">iPcGravity::GetSolid</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the current solid. </p>

</div>
</div>
<a class="anchor" id="a31dae2fddc1156aa37c16eaa9f7a1357"></a><!-- doxytag: member="iPcGravity::GetWeight" ref="a31dae2fddc1156aa37c16eaa9f7a1357" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiPcGravity.html#a31dae2fddc1156aa37c16eaa9f7a1357">iPcGravity::GetWeight</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the weight of this object. </p>

</div>
</div>
<a class="anchor" id="a7003be52c06218499a9ba974ba1fde9c"></a><!-- doxytag: member="iPcGravity::IsActive" ref="a7003be52c06218499a9ba974ba1fde9c" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcGravity.html#a7003be52c06218499a9ba974ba1fde9c">iPcGravity::IsActive</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Check activation status. </p>

</div>
</div>
<a class="anchor" id="ae796d9c9edb8bc588dce392eb61892e6"></a><!-- doxytag: member="iPcGravity::IsResting" ref="ae796d9c9edb8bc588dce392eb61892e6" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcGravity.html#ae796d9c9edb8bc588dce392eb61892e6">iPcGravity::IsResting</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return true if object is resting. </p>
<p>This happens when the object did not move the last time physics was checked. </p>

</div>
</div>
<a class="anchor" id="ab2b8869754da9122d3bb00460bd6b63a"></a><!-- doxytag: member="iPcGravity::ResetSpeed" ref="ab2b8869754da9122d3bb00460bd6b63a" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcGravity.html#ab2b8869754da9122d3bb00460bd6b63a">iPcGravity::ResetSpeed</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Reset speed (but leave forces alone). </p>

</div>
</div>
<a class="anchor" id="a30cc9af0cd32499f2835f7c2a0dab0a7"></a><!-- doxytag: member="iPcGravity::SetActive" ref="a30cc9af0cd32499f2835f7c2a0dab0a7" args="(bool activate)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcGravity.html#a30cc9af0cd32499f2835f7c2a0dab0a7">iPcGravity::SetActive</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>activate</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Activate/deactivate physics handling for this object. </p>

</div>
</div>
<a class="anchor" id="a7e236be28d3bf7ff627c82aa031ac5a9"></a><!-- doxytag: member="iPcGravity::SetMovable" ref="a7e236be28d3bf7ff627c82aa031ac5a9" args="(iPcMovable *movable)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcGravity.html#a7e236be28d3bf7ff627c82aa031ac5a9">iPcGravity::SetMovable</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiPcMovable.html">iPcMovable</a> *&#160;</td>
          <td class="paramname"><em>movable</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the movable on which we will operate. </p>
<p>If not set then a default movable will be found and used instead. </p>

</div>
</div>
<a class="anchor" id="a04a4cd61dcb780c0256f98fe142aa94e"></a><!-- doxytag: member="iPcGravity::SetSolid" ref="a04a4cd61dcb780c0256f98fe142aa94e" args="(iPcSolid *solid)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcGravity.html#a04a4cd61dcb780c0256f98fe142aa94e">iPcGravity::SetSolid</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiPcSolid.html">iPcSolid</a> *&#160;</td>
          <td class="paramname"><em>solid</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the solid representation which we will additionally use for collision detection. </p>
<p>If not set then we will find the default solid. </p>

</div>
</div>
<a class="anchor" id="a36ee790700f1344455bffdd8748264c4"></a><!-- doxytag: member="iPcGravity::SetWeight" ref="a36ee790700f1344455bffdd8748264c4" args="(float w)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcGravity.html#a36ee790700f1344455bffdd8748264c4">iPcGravity::SetWeight</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>w</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the weight of this object. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>propclass/<a class="el" href="gravity_8h_source.html">gravity.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
